--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : PicoBlaze_System1.vhf
-- /___/   /\     Timestamp : 04/01/2009 11:10:06
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/XiLinx_Projekter/BASYS_PROJECTS/PONG_Projekter/Pong5/PicoBlaze_System1.sch PicoBlaze_System1.vhf
--Design Name: PicoBlaze_System1
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity PicoBlaze_System1 is
   port ( Clk           : in    std_logic; 
          interrupt     : in    std_logic; 
          in_port       : in    std_logic_vector (7 downto 0); 
          interrupt_ack : out   std_logic; 
          out_port      : out   std_logic_vector (7 downto 0); 
          port_id       : out   std_logic_vector (7 downto 0); 
          read_strobe   : out   std_logic; 
          write_strobe  : out   std_logic);
end PicoBlaze_System1;

architecture BEHAVIORAL of PicoBlaze_System1 is
   signal XLXN_7        : std_logic_vector (17 downto 0);
   signal XLXN_8        : std_logic;
   signal XLXN_9        : std_logic_vector (9 downto 0);
   component kcpsm3
      port ( interrupt     : in    std_logic; 
             reset         : in    std_logic; 
             clk           : in    std_logic; 
             instruction   : in    std_logic_vector (17 downto 0); 
             in_port       : in    std_logic_vector (7 downto 0); 
             write_strobe  : out   std_logic; 
             read_strobe   : out   std_logic; 
             interrupt_ack : out   std_logic; 
             address       : out   std_logic_vector (9 downto 0); 
             port_id       : out   std_logic_vector (7 downto 0); 
             out_port      : out   std_logic_vector (7 downto 0));
   end component;
   
   component PingPongx_ROM
      port ( clk         : in    std_logic; 
             address     : in    std_logic_vector (9 downto 0); 
             proc_reset  : out   std_logic; 
             instruction : out   std_logic_vector (17 downto 0));
   end component;
   
begin
   U11 : kcpsm3
      port map (clk=>Clk,
                instruction(17 downto 0)=>XLXN_7(17 downto 0),
                interrupt=>interrupt,
                in_port(7 downto 0)=>in_port(7 downto 0),
                reset=>XLXN_8,
                address(9 downto 0)=>XLXN_9(9 downto 0),
                interrupt_ack=>interrupt_ack,
                out_port(7 downto 0)=>out_port(7 downto 0),
                port_id(7 downto 0)=>port_id(7 downto 0),
                read_strobe=>read_strobe,
                write_strobe=>write_strobe);
   
   XLXI_2 : PingPongx_ROM
      port map (address(9 downto 0)=>XLXN_9(9 downto 0),
                clk=>Clk,
                instruction(17 downto 0)=>XLXN_7(17 downto 0),
                proc_reset=>XLXN_8);
   
end BEHAVIORAL;


