VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_3
        SIGNAL Tadr(15:0)
        SIGNAL Clk
        SIGNAL Addr(15:0)
        SIGNAL Data_in(3:0)
        SIGNAL XLXN_52(3:0)
        SIGNAL WE
        SIGNAL Reset
        SIGNAL VGA_Plug(9:0)
        SIGNAL Data_out(3:0)
        SIGNAL XLXN_55
        SIGNAL XLXN_56
        PORT Input Clk
        PORT Input Addr(15:0)
        PORT Input Data_in(3:0)
        PORT Input WE
        PORT Input Reset
        PORT Output VGA_Plug(9:0)
        PORT Output Data_out(3:0)
        BEGIN BLOCKDEF VGA_Driver
            TIMESTAMP 2009 3 19 15 5 36
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF VGA_ColorMap
            TIMESTAMP 2009 3 19 21 35 4
            RECTANGLE N 64 -320 368 32 
            LINE N 64 -288 0 -288 
            LINE N 64 -96 0 -96 
            RECTANGLE N 368 -300 432 -276 
            LINE N 368 -288 432 -288 
            RECTANGLE N 0 -28 64 -4 
            LINE N 64 -16 0 -16 
            LINE N 64 -160 0 -160 
            LINE N 64 -224 0 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF videoram
            TIMESTAMP 2009 3 19 15 9 14
            RECTANGLE N 32 0 288 432 
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 304 32 304 
            END LINE
            LINE N 0 352 32 352 
            LINE N 0 96 32 96 
            LINE N 0 400 32 400 
            BEGIN LINE W 288 48 320 48 
            END LINE
            BEGIN LINE W 288 304 320 304 
            END LINE
            BEGIN LINE W 0 240 32 240 
            END LINE
        END BLOCKDEF
        BEGIN BLOCK U5 VGA_Driver
            PIN CLK Clk
            PIN RESET Reset
            PIN HSYNCH XLXN_55
            PIN VSYNCH XLXN_56
            PIN HBLANK XLXN_3
            PIN Adr(15:0) Tadr(15:0)
        END BLOCK
        BEGIN BLOCK U6 VGA_ColorMap
            PIN CLK Clk
            PIN HBLANK XLXN_3
            PIN VGA_plug(9:0) VGA_Plug(9:0)
            PIN COLOR(3:0) XLXN_52(3:0)
            PIN VSYNCH_IN XLXN_56
            PIN HSYNCH_IN XLXN_55
        END BLOCK
        BEGIN BLOCK XLXI_1 videoram
            PIN addra(15:0) Tadr(15:0)
            PIN dinb(3:0) Data_in(3:0)
            PIN web WE
            PIN clka Clk
            PIN clkb Clk
            PIN douta(3:0) XLXN_52(3:0)
            PIN doutb(3:0) Data_out(3:0)
            PIN addrb(15:0) Addr(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_3
            WIRE 1152 752 1552 752
        END BRANCH
        BEGIN BRANCH WE
            WIRE 928 1248 944 1248
            WIRE 944 1248 1168 1248
            WIRE 1168 1248 1200 1248
        END BRANCH
        BEGIN INSTANCE U5 768 848 R0
        END INSTANCE
        BEGIN BRANCH Reset
            WIRE 736 816 768 816
        END BRANCH
        IOMARKER 736 816 Reset R180 28
        IOMARKER 1024 1136 Addr(15:0) R180 28
        IOMARKER 1040 1200 Data_in(3:0) R180 28
        IOMARKER 928 1248 WE R180 28
        BEGIN DISPLAY 852 1084 TEXT "From PicoBlaze"
            FONT 44 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        BEGIN INSTANCE U6 1552 848 R0
        END INSTANCE
        BEGIN BRANCH VGA_Plug(9:0)
            WIRE 1984 560 2048 560
        END BRANCH
        IOMARKER 2048 560 VGA_Plug(9:0) R0 28
        BEGIN BRANCH Data_out(3:0)
            WIRE 1520 1200 1600 1200
            WIRE 1600 1200 1616 1200
        END BRANCH
        BEGIN DISPLAY 1596 1152 TEXT "To PicoBlaze"
            FONT 44 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        IOMARKER 1616 1200 Data_out(3:0) R0 28
        IOMARKER 560 992 Clk R180 28
        BEGIN BRANCH XLXN_55
            WIRE 1152 624 1552 624
        END BRANCH
        BEGIN BRANCH XLXN_56
            WIRE 1152 688 1552 688
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 560 992 608 992
            WIRE 608 992 608 1296
            WIRE 608 1296 1200 1296
            WIRE 608 992 1200 992
            WIRE 608 512 1552 512
            WIRE 1552 512 1552 560
            WIRE 608 512 608 624
            WIRE 608 624 768 624
            WIRE 608 624 608 992
        END BRANCH
        BEGIN BRANCH Data_in(3:0)
            WIRE 1040 1200 1056 1200
            WIRE 1056 1200 1168 1200
            WIRE 1168 1200 1200 1200
        END BRANCH
        BEGIN BRANCH Addr(15:0)
            WIRE 1024 1136 1040 1136
            WIRE 1040 1136 1200 1136
        END BRANCH
        BEGIN BRANCH Tadr(15:0)
            WIRE 1152 816 1168 816
            WIRE 1168 816 1168 944
            WIRE 1168 944 1200 944
        END BRANCH
        BEGIN INSTANCE XLXI_1 1200 896 R0
        END INSTANCE
        BEGIN BRANCH XLXN_52(3:0)
            WIRE 1520 832 1520 944
            WIRE 1520 832 1552 832
        END BRANCH
        BEGIN DISPLAY 1196 848 TEXT VideoRAM
            FONT 64 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        BEGIN DISPLAY 1140 412 TEXT "VGA System"
            FONT 64 "Times New Roman"
            TEXTCOLOR 0 0 255
        END DISPLAY
    END SHEET
END SCHEMATIC
