VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_7(17:0)
        SIGNAL XLXN_8
        SIGNAL XLXN_9(9:0)
        SIGNAL Clk
        SIGNAL write_strobe
        SIGNAL read_strobe
        SIGNAL interrupt_ack
        SIGNAL interrupt
        SIGNAL in_port(7:0)
        SIGNAL port_id(7:0)
        SIGNAL out_port(7:0)
        PORT Input Clk
        PORT Output write_strobe
        PORT Output read_strobe
        PORT Output interrupt_ack
        PORT Input interrupt
        PORT Input in_port(7:0)
        PORT Output port_id(7:0)
        PORT Output out_port(7:0)
        BEGIN BLOCKDEF kcpsm3
            TIMESTAMP 2007 11 14 13 19 37
            RECTANGLE N 64 -384 384 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -272 0 -272 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -124 64 -100 
            LINE N 64 -112 0 -112 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 384 -352 448 -352 
            LINE N 384 -288 448 -288 
            LINE N 384 -224 448 -224 
            RECTANGLE N 384 -172 448 -148 
            LINE N 384 -160 448 -160 
            RECTANGLE N 384 -108 448 -84 
            LINE N 384 -96 448 -96 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF PingPongx_ROM
            TIMESTAMP 2009 3 19 14 58 36
            RECTANGLE N 64 -128 384 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 384 -96 448 -96 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
        END BLOCKDEF
        BEGIN BLOCK U11 kcpsm3
            PIN interrupt interrupt
            PIN reset XLXN_8
            PIN clk Clk
            PIN instruction(17:0) XLXN_7(17:0)
            PIN in_port(7:0) in_port(7:0)
            PIN write_strobe write_strobe
            PIN read_strobe read_strobe
            PIN interrupt_ack interrupt_ack
            PIN address(9:0) XLXN_9(9:0)
            PIN port_id(7:0) port_id(7:0)
            PIN out_port(7:0) out_port(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 PingPongx_ROM
            PIN clk Clk
            PIN address(9:0) XLXN_9(9:0)
            PIN proc_reset XLXN_8
            PIN instruction(17:0) XLXN_7(17:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE U11 1024 912 R0
        END INSTANCE
        BEGIN BRANCH XLXN_7(17:0)
            WIRE 896 800 1024 800
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 896 736 928 736
            WIRE 928 640 928 736
            WIRE 928 640 1024 640
        END BRANCH
        BEGIN BRANCH XLXN_9(9:0)
            WIRE 288 448 1744 448
            WIRE 1744 448 1744 752
            WIRE 288 448 288 800
            WIRE 288 800 448 800
            WIRE 1472 752 1744 752
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 992 720 1008 720
            WIRE 1008 720 1024 720
            BEGIN DISPLAY 992 720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 400 736 448 736
        END BRANCH
        BEGIN BRANCH write_strobe
            WIRE 1472 560 1520 560
            WIRE 1520 560 1536 560
        END BRANCH
        BEGIN BRANCH read_strobe
            WIRE 1472 624 1520 624
            WIRE 1520 624 1536 624
        END BRANCH
        BEGIN BRANCH interrupt_ack
            WIRE 1472 688 1520 688
            WIRE 1520 688 1536 688
        END BRANCH
        BEGIN BRANCH interrupt
            WIRE 880 560 896 560
            WIRE 896 560 1024 560
        END BRANCH
        BEGIN BRANCH in_port(7:0)
            WIRE 864 880 880 880
            WIRE 880 880 1024 880
        END BRANCH
        BEGIN BRANCH port_id(7:0)
            WIRE 1472 816 1504 816
            WIRE 1504 816 1520 816
        END BRANCH
        BEGIN BRANCH out_port(7:0)
            WIRE 1472 880 1504 880
            WIRE 1504 880 1520 880
        END BRANCH
        IOMARKER 1536 560 write_strobe R0 28
        IOMARKER 1536 624 read_strobe R0 28
        IOMARKER 1536 688 interrupt_ack R0 28
        IOMARKER 1520 816 port_id(7:0) R0 28
        IOMARKER 1520 880 out_port(7:0) R0 28
        IOMARKER 864 880 in_port(7:0) R180 28
        IOMARKER 880 560 interrupt R180 28
        IOMARKER 400 736 Clk R180 28
        BEGIN DISPLAY 736 376 TEXT PicoBlaze_System1
            FONT 56 "Arial"
            TEXTCOLOR 0 0 255
        END DISPLAY
        BEGIN INSTANCE XLXI_2 448 832 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
